Martin Probst's weblog

RubyGems upgrade 0.9.5

Wednesday, November 21, 2007, 19:56 — 0 comments Edit

RubyGems is available in version 0.9.5. And installing it with gem update –system broke about everything on my system :-(

Gems couldn’t find any already installed gem anymore. The fix was easy, though a bit time consuming: re-install all gems you have.

$ export installed_gems="`ls /Library/Ruby/Gems/gems/ | sed s/-[^-]*$//g | sort -u`"
$ gem install $installed_gems

(with /Library/Ruby/Gems/gems/ being the path to your gems)


No comments.